(function () {
	'use strict';

	let _œ = (id) => {
		// About object is returned if there is no 'id' parameter
		var about = {
			version: "2.0.2",
			author: "Landon Gravat",
			created: "Fall 2017",
			updated: "26 June 2018"
		};
		if (id) {

			// Avoid clobbering the window scope:
			// return a new _œ object if we're in the wrong scope
			if (window === undefined) return new _œ(id)
			// We're in the correct object scope:
			// Init our element object and return the object
			undefined.e = document.getElementById(id);
			return undefined
		} else {
			// No 'id' parameter was given, return the 'about' object
			return about
		}
	};
	_œ.prototype = {
	    addListener: function(event, callback) {
			this.e.addEventListener(event, callback, false);
		},
		on: function(evt, fn) {
			if (document.addEventListener) {
				this.e.addEventListener(evt, fn, false);
			} else if (document.attachEvent) {
				this.e.attachEvent("on" + evt, fn);
			} else {
				this.e["on" + evt] = fn;
			}
			return this
		}
	};

	_œ.prototype.hide =  function() { 
		undefined.e.style.display = 'none';
		return undefined
	};
	_œ.prototype.show = function() {
		undefined.e.style.display = '';
		return undefined
	};
	_œ.prototype.bgColor = function(color) { 
		undefined.e.style.background = color;
		return undefined
	};
	_œ.prototype.val = function(newval) { 
		undefined.e.value = newval;
		return undefined
	};
	_œ.prototype.toggle = function() { 
		if (undefined.e.style.visibility !== 'hidden') undefined.e.style.visibility = 'hidden';
		return undefined
	};
	_œ.prototype.size = function(height, width) { 
		undefined.e.style.height = height + 'px';
		undefined.e.style.width = width + 'px';
		return undefined
	};
	_œ.prototype.css = function(attr, val) { 
		undefined.e.style[attr] = val;
		return undefined
	};
	_œ.prototype.height = function(height) {
		undefined.e.style.height = height + 'px';
		return undefined
	};
	_œ.prototype.width = function(width) {
		undefined.e.style.width = width + 'px';
		return undefined
	};
	_œ.prototype.html = function(content) {
		undefined.e.innerHTML = content;
		return undefined
	};
	_œ.prototype.colAmt = function(cols) {
		undefined.e.style.columnCount = cols;
		return undefined
	};
	_œ.prototype.decoType = function(type) {
		undefined.e.style.textDecoration = type;
		return undefined
	};
	_œ.prototype.decoColor = function(color) {
		undefined.e.style.textDecorationColor = color;
		return undefined
	};
	_œ.prototype.decoStyle = function(style) {
		undefined.e.style.textDecorationStyle = style;
		return undefined
	};
	_œ.prototype.txtIndent = function(amt) {
		undefined.e.style.textIndent = amt;
		return undefined
	};
	_œ.prototype.cursor = function(type) {
		undefined.e.style.cursor = type;
		return undefined
	};

	_œ.prototype.isEmptyObject = function(obj) {
		for (let name in obj) {
			return false
		}
		return true
	};
	_œ.prototype.isWindow = function(obj) {
		return obj != null && obj == obj.window
	};
	_œ.prototype.isXmlDoc = function(elem) {
		var documentElement = elem && (elem.ownerDocument || elem).documentElement;
		return documentElement ? documentElement.nodeName !== "HTML" : false
	};

	_œ.prototype.click = function(callback) { 
		undefined.addListener('click', callback);
		return undefined
	};
	_œ.prototype.mouseOver = function(callback) {
		undefined.addListener('onMouseOver', callback);
		return undefined
	};
	_œ.prototype.keyDown = function(callback) {
		undefined.addListener('keydown', callback);
		return undefined
	};
	_œ.prototype.mouseWheel = function(callback) {
		undefined.addListener('wheel', callback);
		return undefined
	};
	_œ.prototype.doubleClick = function(callback) {
		undefined.addListener('dblclick', callback);
		return undefined
	};
	_œ.prototype.scroll = function(callback) {
		undefined.addListener('scroll', callback);
		return undefined
	};
	_œ.prototype.animationEnd = function(callback) {
		undefined.addListener('animationend', callback);
		return undefined
	};
	_œ.prototype.mouseOut = function(callback) { 
		undefined.addListener('mouseout', callback);
		return undefined
	};
	_œ.prototype.beforeScript = function(callback) { 
		undefined.addListener('beforescriptexecute', callback);
		return undefined
	};
	_œ.prototype.afterScript = function(callback) { 
		undefined.addListener('afterscriptexecute', callback);
		return undefined
	};
	_œ.prototype.beforePrint = function(callback) { 
		undefined.addListener('beforeprint', callback);
		return undefined
	};
	_œ.prototype.afterPrint = function(callback) { 
		undefined.addListener('afterprint', callback);
		return undefined
	};
	_œ.prototype.loadResource = function(callback) { 
		undefined.addListener('load', callback);
		return undefined
	};
	_œ.prototype.transitionRun = function(callback) { 
		undefined.addListener('transitionrun', callback);
		return undefined
	};
	_œ.prototype.transitionStart = function(callback) { 
		undefined.addListener('transitionstart', callback);
		return undefined
	};
	_œ.prototype.transitionCancel = function(callback) { 
		undefined.addListener('transitioncancel', callback);
		return undefined
	};
	_œ.prototype.transitionEnd = function(callback) { 
		undefined.addListener('transitionend', callback);
		return undefined
	};

	_œ.prototype.browserOnline = function(callback) { 
		undefined.addListener('online', callback);
		return undefined
	};

	_œ.prototype.browserOffline = function(callback) { 
		undefined.addListener('offline', callback);
		return undefined
	};

	_œ.prototype.fornReset = function(callback) { 
		undefined.addListener('reset', callback);
		return undefined
	};
	_œ.prototype.formSubmit = function(callback) { 
		undefined.addListener('submit', callback);
		return undefined
	};

}());
//# sourceMappingURL=œ.js.map
